API documentation | API docs for agents | OpenAPI 3.1
POST /api/v1/load-board/user-connection
ark.update_load_board_user_connection
Validates or saves the current user DAT or Sylectus seat connection used by ARK load-board posting workflows.
- Availability
- Expanded preview
- Scopes
loads:write- ARK permissions
canEditLoad- Team visibility
- Not entity-scoped
- Idempotency-Key
- Required for this write
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
Idempotency-Keyheaderstringrequired- Required for external write operations. Reuse the same key only for exact retries of the same request body.
- min length: 1; max length: 200
Request body
providerstringrequiredusernamestringDAT username to validate and save for the current user.
min length: 1; max length: 200
sylectusUserIdstringSylectus user ID to save for the current user.
min length: 1; max length: 200
Example request
Shell
curl -X POST 'https://arktms.com/api/v1/load-board/user-connection' \
-H "Authorization: Bearer $ARK_API_TOKEN" \
-H "Idempotency-Key: <unique-key>" \
-H "Content-Type: application/json" \
-d '{
"provider": "dat",
"username": "<username>"
}'Success response
Updated load board user connection
objectstringrequiredokbooleanrequiredapi_versionstringrequiredrequest_idstringrequireddataobjectrequireddata.providerstringrequiredone of: dat, sylectus
data.statusobjectrequireddata.canEditCurrentUserSeatbooleanrequireddata.messagestringrequiredErrors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 409- Idempotency conflict or in-progress retry
HTTP 503- External provider or worker queue could not be reached